import chalk from 'chalk';
import { type Config } from '@pnpm/config';
export declare const PACKAGE_INFO_CLR: chalk.Chalk;
export declare const INDEX_PATH_CLR: chalk.Chalk;
export declare const commandNames: string[];
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): Record<string, unknown>;
export declare function help(): string;
export type FindHashCommandOptions = Pick<Config, 'storeDir' | 'pnpmHomeDir'>;
export interface FindHashResult {
    name: string;
    version: string;
    filesIndexFile: string;
}
export declare function handler(opts: FindHashCommandOptions, params: string[]): Promise<string>;
